> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Replay Outgoing Integration > Replay a history entry of an outgoing integration, triggering the integration again with the recorded data. Any of the following permissions is required: * `manage-outgoing-integrations` * `manage-own-outgoing-integrations` (replays only integrations created by the calling user) ### Changelog |Version | Description | | ---------------- | ------------| |8.7.0 | Added | ## OpenAPI ````json POST /api/v1/integrations.replayOutgoing { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Integrations" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Integration" }, { "name": "OAuth Apps" } ], "paths": { "/api/v1/integrations.replayOutgoing": { "post": { "tags": [ "Integration" ], "summary": "Replay Outgoing Integration", "description": "Replay a history entry of an outgoing integration, triggering the integration again with the recorded data. \n\nAny of the following permissions is required:\n * `manage-outgoing-integrations`\n * `manage-own-outgoing-integrations` (replays only integrations created by the calling user)\n\n### Changelog\n|Version | Description |\n| ---------------- | ------------|\n|8.7.0 | Added |", "operationId": "post-api-v1-integrations.replayOutgoing", "parameters": [ { "$ref": "#/components/parameters/X-Auth-Token" }, { "$ref": "#/components/parameters/X-User-Id" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "integrationId": { "type": "string", "description": "The ID of the outgoing integration.", "example": "nvdQuJQ6tE9HRFBzd" }, "historyId": { "type": "string", "description": "The ID of the integration history to replay. Use the Get Integration History endpoint to list history entries.", "example": "8G2GfBz3prSampleId" } }, "required": [ "integrationId", "historyId" ] }, "examples": { "Example": { "value": { "integrationId": "nvdQuJQ6tE9HRFBzd", "historyId": "8G2GfBz3prSampleId" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Invalid Parameter": { "value": { "success": false, "errorType": "error-invalid-params", "error": "must have required property 'historyId'" } }, "Invalid Integration": { "value": { "success": false, "error": "Invalid integration [error-invalid-integration]", "errorType": "error-invalid-integration", "details": { "method": "replayOutgoingIntegration" } } }, "Invalid Integration History": { "value": { "success": false, "error": "Invalid Integration History [error-invalid-integration-history]", "errorType": "error-invalid-integration-history", "details": { "method": "replayOutgoingIntegration" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authorization token of the user.", "required": true, "schema": { "type": "string" }, "example": "9HqLlyZOugD_0YdwAJF8V47U3QHXSq" }, "X-User-Id": { "name": "X-User-Id", "in": "header", "description": "The user ID of the user.", "required": true, "schema": { "type": "string" }, "example": "aobEdbYhXfu5hkeqG" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````